[Ops/QA] Remove legacy bucket duplication (#175907)

## Summary
Removes references to the legacy bucket after some graceful transition
time.

Follow up after: #175891 
Closes: https://github.com/elastic/kibana/issues/175904
This commit is contained in:
Alex Szabo 2024-03-11 15:43:59 +01:00 committed by GitHub
parent 9500c3bfdc
commit d793a7ff8a
No known key found for this signature in database
GPG key ID: B5690EEEBB952194
3 changed files with 4 additions and 28 deletions

View file

@ -2,13 +2,9 @@
set -euo pipefail
# TODO: Safe to remove this after 2024-03-01 (https://github.com/elastic/kibana/issues/175904)
gsutil -m cp -r gs://elastic-bekitzur-kibana-coverage-live/previous_pointer/previous.txt . || echo "### Previous Pointer NOT FOUND?"
# TODO: Activate after the above is removed
#.buildkite/scripts/common/activate_service_account.sh gs://elastic-kibana-coverage-live
#gsutil -m cp -r gs://elastic-kibana-coverage-live/previous_pointer/previous.txt . || echo "### Previous Pointer NOT FOUND?"
#.buildkite/scripts/common/activate_service_account.sh --unset-impersonation
.buildkite/scripts/common/activate_service_account.sh gs://elastic-kibana-coverage-live
gsutil -m cp -r gs://elastic-kibana-coverage-live/previous_pointer/previous.txt . || echo "### Previous Pointer NOT FOUND?"
.buildkite/scripts/common/activate_service_account.sh --unset-impersonation
if [ -e ./previous.txt ]; then
mv previous.txt downloaded_previous.txt

View file

@ -9,9 +9,6 @@ collectPrevious() {
}
collectPrevious
# TODO: Safe to remove this after 2024-03-01 (https://github.com/elastic/kibana/issues/175904)
gsutil cp previous.txt gs://elastic-bekitzur-kibana-coverage-live/previous_pointer/
.buildkite/scripts/common/activate_service_account.sh gs://elastic-kibana-coverage-live
gsutil cp previous.txt gs://elastic-kibana-coverage-live/previous_pointer/
.buildkite/scripts/common/activate_service_account.sh --unset-impersonation

View file

@ -4,25 +4,8 @@ set -euo pipefail
xs=("$@")
# TODO: Safe to remove this block after 2024-03-01 (https://github.com/elastic/kibana/issues/175904) - also clean up usages
echo "--- Uploading static site (legacy)"
uploadPrefix_old="gs://elastic-bekitzur-kibana-coverage-live/"
uploadPrefixWithTimeStamp_old="${uploadPrefix_old}${TIME_STAMP}/"
uploadBase_old() {
for x in 'src/dev/code_coverage/www/index.html' 'src/dev/code_coverage/www/404.html'; do
gsutil -m -q cp -r -a public-read -z js,css,html "${x}" "${uploadPrefix_old}"
done
}
uploadRest_old() {
for x in "${xs[@]}"; do
gsutil -m -q cp -r -a public-read -z js,css,html "target/kibana-coverage/${x}-combined" "${uploadPrefixWithTimeStamp_old}"
done
}
.buildkite/scripts/common/activate_service_account.sh --logout-gcloud
uploadBase_old
uploadRest_old
echo "--- Uploading static site"
uploadPrefix="gs://elastic-kibana-coverage-live/"
uploadPrefixWithTimeStamp="${uploadPrefix}${TIME_STAMP}/"